# Reading Progress

Fixed progress bar showing scroll/reading progress. Shows a smooth animated bar at the top of the page.

## Files

| Target | Type |
|--------|------|
| `$modules$/reading-progress/reading-progress.tsx` | component |
| `$modules$/reading-progress/index.ts` | index |
| `$modules$/reading-progress/lang/en.json` | lang |
| `$modules$/reading-progress/lang/tr.json` | lang |
| `$modules$/reading-progress/lang/pt.json` | lang |

## Exports

**Components/Functions:** `ReadingProgress`

```typescript
import { ReadingProgress } from '@/modules/reading-progress';
```

## Usage

```
import { ReadingProgress } from '@/modules/reading-progress';

<ReadingProgress />

• Installed at: src/modules/reading-progress/
• Props: color, height, showPercentage
```
